require "mct/version"

module Mct
  def self.decode(text, short='.', longer='-')
    table = {
      "#{short}#{longer}"     => "A",
      "#{longer}#{short}#{short}#{short}"   => "B",
      "#{longer}#{short}#{longer}#{short}"   => "C",
      "#{longer}#{short}#{short}"    => "D",
      "#{short}"      => "E",
      "#{short}#{short}#{longer}#{short}"   => "F",
      "#{longer}#{longer}#{short}"    => "G",
      "#{short}#{short}#{short}#{short}"   => "H",
      "#{short}#{short}"     => "I",
      "#{short}#{longer}#{longer}#{longer}"   => "J",
      "#{longer}#{short}#{longer}"    => "K",
      "#{short}#{longer}#{short}#{short}"   => "L",
      "#{longer}#{longer}"     => "M",
      "#{longer}#{short}"     => "N",
      "#{longer}#{longer}#{longer}"    => "O",
      "#{short}#{longer}#{longer}#{short}"   => "P",
      "#{longer}#{longer}#{short}#{longer}"   => "Q",
      "#{short}#{longer}#{short}"    => "R",
      "#{short}#{short}#{short}"    => "S",
      "#{longer}"      => "T",
      "#{short}#{short}#{longer}"    => "U",
      "#{short}#{short}#{short}#{longer}"   => "V",
      "#{short}#{longer}#{longer}"    => "W",
      "#{longer}#{short}#{short}#{longer}"   => "X",
      "#{longer}#{short}#{longer}#{longer}"   => "Y",
      "#{longer}#{longer}#{short}#{short}"   => "Z",
      "#{longer}#{longer}#{longer}#{longer}#{longer}"  => "0",
      "#{short}#{longer}#{longer}#{longer}#{longer}"  => "1",
      "#{short}#{short}#{longer}#{longer}#{longer}"  => "2",
      "#{short}#{short}#{short}#{longer}#{longer}"  => "3",
      "#{short}#{short}#{short}#{short}#{longer}"  => "4",
      "#{short}#{short}#{short}#{short}#{short}"  => "5",
      "#{longer}#{short}#{short}#{short}#{short}"  => "6",
      "#{longer}#{longer}#{short}#{short}#{short}"  => "7",
      "#{longer}#{longer}#{longer}#{short}#{short}"  => "8",
      "#{longer}#{longer}#{longer}#{longer}#{short}"  => "9",
      "#{longer}#{longer}#{short}#{short}#{longer}#{longer}" => ",",
      "#{longer}#{longer}#{longer}#{short}#{short}#{short}" => ":",
      "#{short}#{short}#{longer}#{longer}#{short}#{short}" => "?",
      "#{short}#{longer}#{longer}#{longer}#{longer}#{short}" => "\'",
      "#{longer}#{short}#{short}#{short}#{short}#{longer}" => "-",
      "#{longer}#{short}#{short}#{longer}#{short}"  => "/",
    }
    
    result = ''
    
    text = text.split(" ")
    text.each do |c|
      if table.has_key?(c)
        result += table[c]
      else
        result += " #{c} "
      end
    end
    return result
  end
end

